<?php

class Libro extends Conexion {

    public function Libro_por_ID($libroId) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "
                SELECT * FROM libros                                  
                WHERE librodbk = ?
                ";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $libroId);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }
    public function listarCombo($subclasificacionId) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "
                SELECT * FROM libros                                  
                WHERE subclasificacion = ?
                ";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $subclasificacionId);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }    

    public function mdlActualizarLibro($datos) {
        $conectar = parent::conectar();
        parent::set_names();
        if ($datos["librodbk"] == "") {
            $sql = "INSERT INTO " . $datos["tabla"] . "  
                (clasificacion,subclasificacion,nombre,autor,anio,editorial,isbn,URL,tipo,clase,persona,estado)
                VALUES (?,?,?,?,?,?,?,?,?,?,?,?);
                ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["clasificacion"]);
            $sql->bindValue(2, $datos["subclasificacion"]);
            $sql->bindValue(3, $datos["nombre"]);
            $sql->bindValue(4, $datos["autor"]);
            $sql->bindValue(5, $datos["anio"]);
            $sql->bindValue(6, $datos["editorial"]);
            $sql->bindValue(7, $datos["isbn"]);
            $sql->bindValue(8, $datos["URL"]);
            $sql->bindValue(9, $datos["tipo"]);
            $sql->bindValue(10, "libro");
            $sql->bindValue(11, $_SESSION["personadbk"]);
            $sql->bindValue(12, "ACTIVO");
            $sql->execute();
        } else {
            $sql = "UPDATE " . $datos["tabla"] . " SET
                clasificacion = ?, subclasificacion = ?, nombre = ?, autor = ?, anio = ?, editorial = ?, isbn =?, URL = ?, tipo = ?  
                WHERE librodbk = ?;
                ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["clasificacion"]);
            $sql->bindValue(2, $datos["subclasificacion"]);
            $sql->bindValue(3, $datos["nombre"]);
            $sql->bindValue(4, $datos["autor"]);
            $sql->bindValue(5, $datos["anio"]);
            $sql->bindValue(6, $datos["editorial"]);
            $sql->bindValue(7, $datos["isbn"]);
            $sql->bindValue(8, $datos["URL"]);
            $sql->bindValue(9, $datos["tipo"]);
            $sql->bindValue(10, $datos["librodbk"]);
            $sql->execute();
        }
        return $resultado = $sql->fetchAll();
    }

    public function mdlActualizarLibroA($datos) {
        $conectar = parent::conectar();
        parent::set_names();
        if ($datos["librodbk"] == "") {
            $sql = "INSERT INTO " . $datos["tabla"] . "  
                (clasificacion,subclasificacion,nombre,autor,anio,editorial,isbn,URL,tipo,clase,persona,estado)
                VALUES (?,?,?,?,?,?,?,?,?,?,?,?);
                ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["clasificacion"]);
            $sql->bindValue(2, $datos["subclasificacion"]);
            $sql->bindValue(3, $datos["nombre"]);
            $sql->bindValue(4, $datos["autor"]);
            $sql->bindValue(5, $datos["anio"]);
            $sql->bindValue(6, $datos["editorial"]);
            $sql->bindValue(7, $datos["isbn"]);
            $sql->bindValue(8, $datos["URL"]);
            $sql->bindValue(9, $datos["tipo"]);
            $sql->bindValue(10, "articulo");
            $sql->bindValue(11, $_SESSION["personadbk"]);
            $sql->bindValue(12, "ACTIVO");
            $sql->execute();
        } else {
            $sql = "UPDATE " . $datos["tabla"] . " SET
                clasificacion = ?, subclasificacion = ?, nombre = ?, autor = ?, anio = ?, editorial = ?, isbn =?, URL = ?, tipo = ?  
                WHERE librodbk = ?;
                ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["clasificacion"]);
            $sql->bindValue(2, $datos["subclasificacion"]);
            $sql->bindValue(3, $datos["nombre"]);
            $sql->bindValue(4, $datos["autor"]);
            $sql->bindValue(5, $datos["anio"]);
            $sql->bindValue(6, $datos["editorial"]);
            $sql->bindValue(7, $datos["isbn"]);
            $sql->bindValue(8, $datos["URL"]);
            $sql->bindValue(9, $datos["tipo"]);
            $sql->bindValue(10, $datos["librodbk"]);
            $sql->execute();
        }
        return $resultado = $sql->fetchAll();
    }

    public function mdlActualizarLibroR($datos) {
        $conectar = parent::conectar();
        parent::set_names();
        if ($datos["librodbk"] == "") {
            $sql = "INSERT INTO " . $datos["tabla"] . "  
                (clasificacion,subclasificacion,nombre,autor,anio,editorial,isbn,URL,tipo,clase,persona,estado)
                VALUES (?,?,?,?,?,?,?,?,?,?,?,?);
                ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["clasificacion"]);
            $sql->bindValue(2, $datos["subclasificacion"]);
            $sql->bindValue(3, $datos["nombre"]);
            $sql->bindValue(4, $datos["autor"]);
            $sql->bindValue(5, $datos["anio"]);
            $sql->bindValue(6, $datos["editorial"]);
            $sql->bindValue(7, $datos["isbn"]);
            $sql->bindValue(8, $datos["URL"]);
            $sql->bindValue(9, $datos["tipo"]);
            $sql->bindValue(10, "revista");
            $sql->bindValue(11, $_SESSION["personadbk"]);
            $sql->bindValue(12, "ACTIVO");
            $sql->execute();
        } else {
            $sql = "UPDATE " . $datos["tabla"] . " SET
                clasificacion = ?, subclasificacion = ?, nombre = ?, autor = ?, anio = ?, editorial = ?, isbn =?, URL = ?, tipo = ?  
                WHERE librodbk = ?;
                ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["clasificacion"]);
            $sql->bindValue(2, $datos["subclasificacion"]);
            $sql->bindValue(3, $datos["nombre"]);
            $sql->bindValue(4, $datos["autor"]);
            $sql->bindValue(5, $datos["anio"]);
            $sql->bindValue(6, $datos["editorial"]);
            $sql->bindValue(7, $datos["isbn"]);
            $sql->bindValue(8, $datos["URL"]);
            $sql->bindValue(9, $datos["tipo"]);
            $sql->bindValue(10, $datos["librodbk"]);
            $sql->execute();
        }
        return $resultado = $sql->fetchAll();
    }

    public function mdlActualizarLibroV($datos) {
        $conectar = parent::conectar();
        parent::set_names();
        if ($datos["librodbk"] == "") {
            $sql = "INSERT INTO " . $datos["tabla"] . "  
                (clasificacion,subclasificacion,nombre,autor,anio,URL,tipo,clase,persona,estado)
                VALUES (?,?,?,?,?,?,?,?,?,?);
                ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["clasificacion"]);
            $sql->bindValue(2, $datos["subclasificacion"]);
            $sql->bindValue(3, $datos["nombre"]);
            $sql->bindValue(4, $datos["autor"]);
            $sql->bindValue(5, $datos["anio"]);            
            $sql->bindValue(6, $datos["URL"]);
            $sql->bindValue(7, $datos["tipo"]);
            $sql->bindValue(8, "video");
            $sql->bindValue(9, $_SESSION["personadbk"]);
            $sql->bindValue(10, "ACTIVO");
            $sql->execute();
        } else {
            $sql = "UPDATE " . $datos["tabla"] . " SET
                clasificacion = ?, subclasificacion = ?, nombre = ?, autor = ?, anio = ?, URL = ?, tipo = ?  
                WHERE librodbk = ?;
                ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["clasificacion"]);
            $sql->bindValue(2, $datos["subclasificacion"]);
            $sql->bindValue(3, $datos["nombre"]);
            $sql->bindValue(4, $datos["autor"]);
            $sql->bindValue(5, $datos["anio"]);            
            $sql->bindValue(6, $datos["URL"]);
            $sql->bindValue(7, $datos["tipo"]);
            $sql->bindValue(8, $datos["librodbk"]);
            $sql->execute();
        }
        return $resultado = $sql->fetchAll();
    }

    public function Eliminar_por_ID($libroId) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "
                DELETE FROM libros WHERE librodbk = ?
                ";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $libroId);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }

    public function mdlIngresarVer($datos) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "INSERT INTO " . $datos["tabla"] . "  
                (usuariodbk,librodbk,periododbk)
                VALUES (?,?,?);
                ";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $datos["usuariodbk"]);
        $sql->bindValue(2, $datos["librodbk"]);
        $sql->bindValue(3, $datos["periododbk"]);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }
    public function Total_Libros($parametro) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "SELECT count(*) as total FROM libros WHERE clase = ? and estado = 'ACTIVO'";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $parametro);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }
}

?>
